Zum Inhalt

Get webChanges

Retrieve the properties and relationships of a web changes object for Business Central.

HTTP Request

Replace the URL prefix for Business Central depending on environment following the guideline.

GET {businesscentralPrefix}companies({id})/webChangesWebCon({id})

Request headers

Header Value
Authorization Bearer {token}. Required.

Request Body

Do not supply a request body for this method.

Response body

If successful, this method returns a 200 OK response code and a webchanges object in the response body.

Requests

Here is a example request.

GET https://{businesscentralPrefix}/companies({id})/webChangesWebCon({id})

Response

Here is an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

{
    "id": "7e95ad48-c94c-ee11-a0d4-92d65e958932",
    "entryNumber": 1,
    "tableNumber": 27,
    "recordDesignation": "Item: 1000",
    "primaryKey1": "1000",
    "primaryKey2": "",
    "primaryKey3": 0,
    "deleted": false,
    "cratedAt": "2023-09-06T15:23:16.91Z"
}

See also

Tips for working with the APIs
webChanges